EnvelopeInterceptor (Mule ESB 2.2.1 API)
Keywords: org.mule.interceptor.EnvelopeInterceptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.interceptor
Class EnvelopeInterceptor

    java.lang.Object
      org.mule.interceptor.EnvelopeInterceptor

All Implemented Interfaces:
  Interceptor

Direct Known Subclasses:
  LoggingInterceptor

    public abstract class EnvelopeInterceptor

extends Object
implements Interceptor

`EnvelopeInterceptor` is an intercepter that will fire before and after an event is received.

Constructor Summary
`EnvelopeInterceptor()`

Method Summary
`abstract void` | `after(Invocation invocation)` This method is invoked after the event has been processed
`abstract void` | `before(Invocation invocation)` This method is invoked before the event is processed
`MuleMessage` | `intercept(Invocation invocation)` Invoked when the component should be called.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvelopeInterceptor

    public EnvelopeInterceptor()

Method Detail

### before

    public abstract void before(Invocation invocation)
                         throws MuleException

  This method is invoked before the event is processed

  Parameters:
    `invocation` - the message invocation being processed
  Throws:
    `MuleException`

### after

    public abstract void after(Invocation invocation)
                        throws MuleException

  This method is invoked after the event has been processed

  Parameters:
    `invocation` - the message invocation being processed
  Throws:
    `MuleException`

### intercept

    public final MuleMessage intercept(Invocation invocation)
                                throws MuleException

  Description copied from interface: `Interceptor`
  Invoked when the component should be called. The implementation can call `Invocation#execute()` to call the component.

  Specified by:
    `intercept` in interface `Interceptor`
  Parameters:
    `invocation` - the invocation containing info about the current message and service
  Returns:
    A result message that may have been altered by this invocation
  Throws:
    `MuleException` - if the invocation fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.